> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Trigger a backsync on an integration.

POST https://api.propexo.com/v1/admin/integrations/{integration_id}/back-sync
Content-Type: application/json

A backsync operation retrieves historical baseline data for an integration. When executed, the system extends all date ranges for enabled models to January 1, 1970. This operation should be performed only once per integration. Repeated backsync operations will result in significant billing charges to your account.

Reference: https://docs.propexo.com/api-reference/configuration-ap-is/admin/trigger-a-backsync-on-an-integration

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `integration_id` (string, required) — The ID of the resource.

### Body (application/json)

This endpoint expects a _v1_admin_integrations_{integration_id}_back-sync_post_input.

- `sync_config_id` (string, optional) — The Propexo unique identifier for a sync configuration
- `models_to_sync` (list of enum, optional) — A list of the specific models to sync. This will only ingest the models specified during the sync and any relational models. For example, requesting "residents" and "leases" will also query their relational data. This can be used for times when only a limited amount of data would like to be synced. If you'd like this as part of your scheduled syncs, please contact Propexo support.
  - Allowed values: `accounting_entities`, `address_types`, `amenities`, `ap_codes`, `applicant_pets`, `applicants`, `application_statuses`, `applications`, `call_logs`, `charge_codes`, `charge_code_types`, `charge_timings`, `concessions`, `construction_jobs`, `contracts`, `deposit_summaries`, `deposits`, `employees`, `event_results`, `event_sub_types`, `event_types`, `events`, `fees`, `file_types`, `financial_accounts`, `floor_plans`, `inventory_items`, `invoice_items`, `invoices`, `lead_pets`, `lead_relationships`, `lead_sources`, `leads`, `lease_services`, `lease_transfers`, `leases`, `listings`, `locations`, `note_categories`, `owners`, `payable_registers`, `pet_types`, `properties`, `property_lists`, `property_office_hours`, `purchase_orders`, `recurring_resident_charges`, `rentable_item_assignments`, `rentable_items`, `resident_allocations`, `resident_charges`, `resident_insurance`, `resident_payments`, `resident_pets`, `resident_vehicles`, `residents`, `screenings`, `service_request_categories`, `service_request_locations`, `service_request_notes`, `service_request_priorities`, `service_request_problems`, `service_request_statuses`, `service_request_vendor_categories`, `service_request_vendor_contacts`, `service_request_vendors`, `service_request_vendors_insurance`, `service_requests`, `timezones`, `unit_details`, `unit_pricing`, `units`, `vendor_insurance_coverage_types`, `vendor_insurance_policy_types`, `vendor_payment_types`

## Response

### 200

Successful response

- `result` (V1AdminIntegrationsIntegrationIdBackSyncPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1AdminIntegrationsIntegrationIdBackSyncPostOutputResult

- `success` (boolean, required)

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "result": {
    "success": true
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/admin/integrations/integration_id/back-sync"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/admin/integrations/integration_id/back-sync';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/admin/integrations/integration_id/back-sync"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/admin/integrations/integration_id/back-sync")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/admin/integrations/integration_id/back-sync")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/admin/integrations/integration_id/back-sync', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/admin/integrations/integration_id/back-sync");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/admin/integrations/integration_id/back-sync")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```